Subject: [dhcwg] IETF-53 DHC WG Session - Vijay's DHCPv6 Issues

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Wed, 27 Mar 2002 12:09:37 -0600

Vijay:

Sorry you didn't have enough time to present your issues at the DHC WG meeting in Minneapolis. I hope you'll post them (and/or your slides) to the mailing list.

I do feel that at least several of your issues relate to an assumption that the client knows what addresses it wants. This is not an assumption that I think is valid for most clients.

In fact, when stateless autoconfiguration is used (RFC 2462), the rules are that any prefix that is advertised in a Routing Advertisement that has the Autonomous Flag set is supposed to result in an address on the client (see RFC 2462, Section 5.5.3). This does not presume that the client knows whether it wants only a site local or global - if both are advertised, both are supposed to be generated.

The ONLY cases we presently have where a client "knows" that it needs a particular address are:
- Temporary addresses for privacy
- DSTM addresses

And, DHCPv6 provides a means for a client to request these type of addresses (temporary via the RTA option and DSTM via the DSTM option).

However, for "standard" addresses, we presume that the server has been configured with the rules for the clients (just as with stateless where the assumption is that the routers have been configured with this information).

I don't disagree that there are circumstances where a client MAY know something about what it needs/wants, but that will be extremely unusual and atypical. Hence, there is no need to build in complex mechanisms for something that isn't likely or is extremely rare. Especially considering that in IPv6 addresses aren't scarce AND a client always as the option of not installing an address that is provided (either via stateful or stateless). And, note that in stateless it is the link identifier that is tested for uniqueness (not the full address). So, whether a client has one or many addresses based on the link identifier doesn't matter.

Again, I would be interested in seeing your full list of issues.

- Bernie Volz